int latchPin = 31;
int clockPin = 32;
int dataPin = 30;

int start_index = 0; // 표시할 영역의 인덱스

unsigned long time_previous, time_current;

// 행 데이터로 선택된 LED만 1의 값을 가짐
byte row_data[] = {
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 스크롤을 위한 추가
  0b00111100, 0b01000010,
  0b10010101, 0b10100001,
  0b10100001, 0b10010101,
  0b01000010, 0b00111100,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 // 스크롤을 위한 추가
};

// 열 데이터로 선택된 열만 1로 표시되어 있음. 실제로는 반전하여 출력
byte col_data[8] = {
  0x01, 0x02, 0x04, 0x08,
  0x10, 0x20, 0x40, 0x80
};

void setup() {
  pinMode(latchPin, OUTPUT); // 각 제어 핀을 출력으로 설정
  pinMode(dataPin, OUTPUT);
  pinMode(clockPin, OUTPUT);
  time_previous = millis();
}

void loop() {
  time_current = millis();
  if (time_current - time_previous > 1000) {
    time_previous = time_current;
    start_index = (start_index + 1) % 16;
  }
  for (int i = 0; i < 8; i++) {
    digitalWrite(latchPin, LOW); // 래치 출력 금지
    // 열 데이터 → 행 데이터 순으로 출력
    shiftOut(dataPin, clockPin, MSBFIRST, ~col_data[i]); // 반전 출력
    shiftOut(dataPin, clockPin, MSBFIRST, row_data[i + start_index]);
    digitalWrite(latchPin, HIGH); // 래치 출력 허용
  }
}
