#include <IRremote.h>
#include <IRremoteInt.h>

int RECV_PIN = 12; // 적외선 수신기의 DATA 핀 연결
int LEDs[] = {2, 3, 4, 5};

// 숫자 데이터. 리모컨 종류에 따라 달라질 수 있으므로 확인이 필요하다.
long key_values[] = {
  0xFF30CF,
  0xFF18E7,
  0xFF7A85,
  0xFF10EF
};

IRrecv irrecv(RECV_PIN); // 적외선 수신기 초기화
decode_results results; // 수신 데이터

void setup() {
  Serial.begin(9600); // 시리얼 통신 초기화
  irrecv.enableIRIn(); // 적외선 수신기 시작
  for (int i = 0; i < 4; i++) {
    pinMode(LEDs[i], OUTPUT);
    digitalWrite(LEDs[i], LOW);
  }
}

void loop() {
  if (irrecv.decode(&results)) { // 디코딩 결과
    int count = 0;
    for (int i = 0; i < 4; i++) {
      if (key_values[i] == results.value) {
        count = i + 1;
        Serial.print("I got ");
        Serial.println(count);
      }
    }
    if (count == 0)
      Serial.println("* You pressed wrong button.");
    for (int i = 0; i < 4; i++) {
      if (i < count)
        digitalWrite(LEDs[i], HIGH);
      else
        digitalWrite(LEDs[i], LOW);
    }
    irrecv.resume(); // 다음 데이터 수신
  }
  delay(200);
}
